Bug 1934754 - Unable to record sound using internal microphone (Thinkbook 13s IML)
Summary: Unable to record sound using internal microphone (Thinkbook 13s IML)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 33
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-03 19:09 UTC by Anton
Modified: 2021-11-30 18:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 18:16:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
alsa-info report (38.61 KB, text/plain)
2021-03-03 19:09 UTC, Anton
no flags Details
Sound Recorder audio (11.23 KB, audio/flac)
2021-03-03 19:11 UTC, Anton
no flags Details
Output from dmesg --level=err,warn (7.19 KB, text/plain)
2021-03-04 10:44 UTC, Anton
no flags Details

Description Anton 2021-03-03 19:09:55 UTC
Created attachment 1760477 [details]
alsa-info report

Description of problem:

After installing Fedora 33 on my laptop (Thinkbook 13s IML) I'm unable to use its internal microphone to record anything. It is recognized by system as "Digital Microphone - sof-hda-dsp", but there is no input from it.

I have tried to record using Sound Recorder - file attached. There is a high noise in the beginning and after that only silence.

I could confirm that microphone works under Windows 10. Also I can use microphone from plugged in headphones.

Comment 1 Anton 2021-03-03 19:11:01 UTC
Created attachment 1760478 [details]
Sound Recorder audio

Comment 2 Anton 2021-03-04 10:44:23 UTC
Created attachment 1760645 [details]
Output from dmesg --level=err,warn

Comment 3 Anton 2021-03-16 12:07:34 UTC
I have tried Fedora 34 Beta 1.2 on the same laptop. Now its microphone listed as "Digital Microphone - Comet Lake PCH-LP cAVS", but the same problem still persists.

Comment 4 Jaroslav Kysela 2021-03-16 12:23:25 UTC
Could you enter a bug to the SOF project to reach the Intel developers?

  https://github.com/thesofproject/sof/issues

You can put a link to this bug for the alsa-info / dmesg info.

Comment 5 Anton 2021-03-16 13:53:36 UTC
Reported upstream: https://github.com/thesofproject/sof/issues/3929

Comment 6 Anton 2021-03-17 07:34:13 UTC
Found temporary solution here: https://github.com/thesofproject/linux/issues/2460#issuecomment-779212719

When I'm using that custom topology file from the link above built-in microphone works fine.

Comment 7 Ben Cotton 2021-11-04 14:54:39 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2021-11-04 15:53:13 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2021-11-30 18:16:47 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.